# vehicle_type.h File Reference

Types related to vehicles. More...

`#include "core/enum_type.hpp"`

Go to the source code of this file.

## Data Structures

struct | EnumPropsT< VehicleType >
struct | BaseVehicle

## Typedefs

typedef uint16 | VehicleID
typedef TinyEnumT< VehicleType > | VehicleTypeByte

## Enumerations

enum | VehicleType { VEH_TRAIN, VEH_ROAD, VEH_SHIP, VEH_AIRCRAFT, VEH_SPECIAL, VEH_DISASTER, VEH_END, VEH_INVALID = 0xFF }
enum | EffectVehicle { EV_CHIMNEY_SMOKE = 0, EV_STEAM_SMOKE = 1, EV_DIESEL_SMOKE = 2, EV_ELECTRIC_SPARK = 3, EV_SMOKE = 4, EV_EXPLOSION_LARGE = 5, EV_BREAKDOWN_SMOKE = 6, EV_EXPLOSION_SMALL = 7, EV_BULLDOZER = 8, EV_BUBBLE = 9 }
enum | { VPF_OPF = 0, VPF_NTP = 0, VPF_NPF = 1, VPF_YAPF = 2 }
| Pathfinding option states. More...

## Functions

| DECLARE_POSTFIX_INCREMENT (VehicleType)

## Variables

static const VehicleID | INVALID_VEHICLE = 0xFFFF

## Detailed Description

Types related to vehicles.

Definition in file vehicle_type.h.

## Enumeration Type Documentation

anonymous enum

Pathfinding option states.

Enumerator:

  VPF_OPF | The Original PathFinder.
  VPF_NTP | New Train Pathfinder, replacing OPF for trains.
  VPF_NPF | New PathFinder.
  VPF_YAPF | Yet Another PathFinder.

Definition at line 56 of file vehicle_type.h.